import * as React from 'react';
import 'date-fns';
import { isDayPickerMultiple } from '../../types/isDayPickerMultiple.js';
import { SelectMultipleContext } from './SelectMultipleContext.js';
import { SelectMultipleProviderInternal } from './SelectMultipleProviderInternal.js';

/** Provides the values for the [[SelectMultipleContext]]. */
function SelectMultipleProvider(props) {
    if (!isDayPickerMultiple(props.initialProps)) {
        var emptyContextValue = {
            selected: undefined,
            modifiers: {
                selected: [],
                disabled: []
            }
        };
        return (React.createElement(SelectMultipleContext.Provider, { value: emptyContextValue }, props.children));
    }
    return (React.createElement(SelectMultipleProviderInternal, { initialProps: props.initialProps, children: props.children }));
}

export { SelectMultipleProvider };
//# sourceMappingURL=SelectMultipleProvider.js.map
