import * as React from 'react';
import 'date-fns';
import { isDayPickerRange } from '../../types/isDayPickerRange.js';
import { SelectRangeContext } from './SelectRangeContext.js';
import { SelectRangeProviderInternal } from './SelectRangeProviderInternal.js';

/** Provides the values for the [[SelectRangeProvider]]. */
function SelectRangeProvider(props) {
    if (!isDayPickerRange(props.initialProps)) {
        var emptyContextValue = {
            selected: undefined,
            modifiers: {
                selected: [],
                range_start: [],
                range_end: [],
                range_middle: [],
                disabled: []
            }
        };
        return (React.createElement(SelectRangeContext.Provider, { value: emptyContextValue }, props.children));
    }
    return (React.createElement(SelectRangeProviderInternal, { initialProps: props.initialProps, children: props.children }));
}

export { SelectRangeProvider };
//# sourceMappingURL=SelectRangeProvider.js.map
