import * as React from 'react';
import 'date-fns';
import { isDayPickerSingle } from '../../types/isDayPickerSingle.js';
import { SelectSingleContext } from './SelectSingleContext.js';
import { SelectSingleProviderInternal } from './SelectSingleProviderInternal.js';

/** Provides the values for the [[SelectSingleProvider]]. */
function SelectSingleProvider(props) {
    if (!isDayPickerSingle(props.initialProps)) {
        var emptyContextValue = {
            selected: undefined,
            modifiers: { selected: [] }
        };
        return (React.createElement(SelectSingleContext.Provider, { value: emptyContextValue }, props.children));
    }
    return (React.createElement(SelectSingleProviderInternal, { initialProps: props.initialProps, children: props.children }));
}

export { SelectSingleProvider };
//# sourceMappingURL=SelectSingleProvider.js.map
