import * as React from 'react';
import { SelectSingleContext } from './SelectSingleContext.js';

function SelectSingleProviderInternal(_a) {
    var initialProps = _a.initialProps, children = _a.children;
    var handleDayClick = function (day, dayModifiers, e) {
        var _a, _b;
        if (dayModifiers.selected && !initialProps.required) {
            (_a = initialProps.onSelect) === null || _a === void 0 ? void 0 : _a.call(initialProps, undefined, day, dayModifiers, e);
            return;
        }
        (_b = initialProps.onSelect) === null || _b === void 0 ? void 0 : _b.call(initialProps, day, day, dayModifiers, e);
    };
    var modifiers = { selected: [] };
    if (initialProps.selected) {
        modifiers.selected = [initialProps.selected];
    }
    var contextValue = {
        selected: initialProps.selected,
        handleDayClick: handleDayClick,
        modifiers: modifiers
    };
    return (React.createElement(SelectSingleContext.Provider, { value: contextValue }, children));
}

export { SelectSingleProviderInternal };
//# sourceMappingURL=SelectSingleProviderInternal.js.map
